IMS_IMS_IMS/Controllers/WBSAdminController.cs
using IMS_ENTITYFRAMEWORK;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using System.Data;
using ClosedXML.Excel;
using System.IO;
using IMS_IMS_IMS.Filter;
using System.Reflection;
using System.Data.Entity;
using System.Data.Entity.Core.Objects;
using IMS_IMS_MODEL;
using IMS_ENTITYFRAMEWORK.Repository;
using System.Net.Mail;
using System.Net;
using System.Net.NetworkInformation;

namespace IMS_IMS_IMS.Controllers
{
    [IMSAuthentication]
    public class WBSAdminController : Controller
    {
        // GET: WBSAdmin
        WBSController WBSController = new WBSController();
        Repositories repositories = null;
        INVENTORYEntities Datacontext;

        public WBSAdminController()
        {
            repositories = new Repositories();
            Datacontext = new INVENTORYEntities();

            List<ItemListTable> ItemList = Datacontext.ItemListTable.ToList();
            ViewBag.ItemList = new SelectList(ItemList, "ItemName", "ItemName");

            List<LocationZone> locationList = Datacontext.LocationZone.ToList();
            ViewBag.LocationList = new SelectList(locationList, "locationZone1", "locationZone1");

            var GetTableNames = typeof(INVENTORYEntities).GetProperties().Select(x => x.Name).ToArray();

            foreach (var EntityName in GetTableNames)
            {
                if (EntityName == "PumpingMachineryMotor")
                {
                    ViewBag.ItemName = EntityName;

                }
                if (EntityName == "PumpingMachineryPumpset")
                {
                    ViewBag.PumpingMachineryPumpsetDetails = EntityName;
                }

                if (EntityName == "Transformer")
                {

                    ViewBag.PowerEquipmentItemName = "Power Equipment";
                }
                if (EntityName == "Land")
                {

                    ViewBag.LandDetails = EntityName;
                }
                if (EntityName == "Valve")
                {

                    ViewBag.ValveDetails = EntityName;
                }

                if (EntityName == "PanelBoard")
                {

                    ViewBag.PanelBoardDetails = "Panel Board";
                }
                if (EntityName == "Building")
                {

                    ViewBag.BuildingDetails = EntityName;
                }
                if (EntityName == "StorageSediTank")
                {

                    ViewBag.TankDetails = "Tank";
                }
                if (EntityName == "Pipe")
                {

                    ViewBag.PipeDetails = EntityName;
                }

                if (EntityName == "WTP")
                {

                    ViewBag.WTPDetails = "Water Treatment Plant";
                }
            }



        }


        public ActionResult Index()
        {
            return View();
        }
       

        [HttpGet]
        public ActionResult ShowWaterPumpMotor()
        {
            
            return View();
        }

        [HttpPost]
        public JsonResult ShowPumpingMachineryMotorDetails(string Location)
        {
            
            using (var context = new INVENTORYEntities())
            {


                var GetDetails = (from c in context.PumpingMachineryMotor.Where(x=> x.location==Location)


                                  select new
                                  {
                                      ItemCode = c.itemcode,
                                      Location = c.location,
                                      //ItemName = c.itemname,
                                      bhp = c.BHP,
                                      Itemtype = c.ItemType,
                                      Make = c.make,
                                      Quantity = c.qty,
                                      Status = c.status,
                                      Description = c.discription,
                                      username=c.UserName

                                  }).ToList();


                return Json(GetDetails, JsonRequestBehavior.AllowGet);
            }

        }



        [HttpGet]
        public ActionResult ShowWaterPumpMotorCB()
        {

            return View();
        }

        [HttpPost]
        public JsonResult ShowPumpingMachineryMotorCB(string Location)
        {

            using (var context = new INVENTORYEntities())
            {


                var GetDetails = (from c in context.PumpingMachineryMotor.Where(x => x.location == Location)


                                  select new
                                  {
                                      ItemCode = c.itemcode,
                                      Location = c.location,
                                      //ItemName = c.itemname,
                                      bhp = c.BHP,
                                      Itemtype = c.ItemType,
                                      Make = c.make,
                                      Quantity = c.qty,
                                      Status = c.status,
                                      Description = c.discription,
                                      username = c.UserName

                                  }).ToList();


                return Json(GetDetails, JsonRequestBehavior.AllowGet);
            }

        }

        [HttpGet]
        public FileResult ExportSpeardSheetPumpMachineryMotor()
        {
            INVENTORYEntities entities = new INVENTORYEntities();
            DataTable dt = new DataTable("PumpMachineryMotor");
            dt.Columns.AddRange(new DataColumn[7] { new DataColumn("Item Name"),
                                            new DataColumn("Item Type"),
                                            new DataColumn("Location"),
                                            new DataColumn("Make"),
                                            new DataColumn("Quantity"),
                                            new DataColumn("Status"),
                                            new DataColumn("Remark") });


           // var SessionLocationData = Session["location"].ToString();
            var GetDetails = from pumpmachineMotor in entities.PumpingMachineryMotor select pumpmachineMotor;
            foreach (var GetColumn in GetDetails)
            {
                dt.Rows.Add(GetColumn.itemname, GetColumn.ItemType, GetColumn.location, GetColumn.make, GetColumn.qty, GetColumn.status, GetColumn.discription);
            }

            using (XLWorkbook wb = new XLWorkbook())
            {
                wb.Worksheets.Add(dt);
                using (MemoryStream stream = new MemoryStream())
                {
                    wb.SaveAs(stream);
                    return File(stream.ToArray(), "application/vnd.openxmlformats-officedocument.spreadsheetml.sheet", "PumpMachineryMotor.xlsx");
                }
            }
        }

        public ActionResult ShowPowerEquipment()
        {

            return View();
        }

        [HttpPost]
        public JsonResult ShowPowerEquipmentDetails()
        {
            //var SessionLocationData = Session["location"].ToString();


            using (var context = new INVENTORYEntities())
            {

                var GetDetails = (from c in context.Transformer


                                  select new
                                  {
                                      ItemCode = c.itemcode,
                                      Location = c.location,
                                      //ItemName = c.itemname,
                                      PowerType = c.powertype,
                                      KiVA = c.KVA,
                                      Make = c.make,
                                      Quantity = c.qty,
                                      Status = c.status,
                                      Description = c.discription,
                                      username = c.UserName

                                  }).ToList();


                return Json(GetDetails, JsonRequestBehavior.AllowGet);
            }

        }

        [HttpGet]
        public FileResult ExportExcelPowerEquipment()
        {
            INVENTORYEntities entities = new INVENTORYEntities();
            DataTable dt = new DataTable("PowerEquipment");
            dt.Columns.AddRange(new DataColumn[8] { new DataColumn("Item Name"),
                                            new DataColumn("Power Type"),
                                            new DataColumn("Location"),
                                            new DataColumn("KVA"),
                                            new DataColumn("Make"),
                                            new DataColumn("Quantity"),
                                            new DataColumn("Status"),
                                            new DataColumn("Remark") });


           // var SessionLocationData = Session["location"].ToString();
            var GetDetails = from PowerEquipment in entities.Transformer select PowerEquipment;
            foreach (var GetColumn in GetDetails)
            {
                dt.Rows.Add(GetColumn.itemname, GetColumn.powertype, GetColumn.location, GetColumn.KVA, GetColumn.make, GetColumn.qty, GetColumn.status, GetColumn.discription);
            }

            using (XLWorkbook wb = new XLWorkbook())
            {
                wb.Worksheets.Add(dt);
                using (MemoryStream stream = new MemoryStream())
                {
                    wb.SaveAs(stream);
                    return File(stream.ToArray(), "application/vnd.openxmlformats-officedocument.spreadsheetml.sheet", "PowerEquipmentDetails.xlsx");
                }
            }
        }

        public ActionResult ShowPowerEquipmentCB()
        {

            return View();
        }

        [HttpPost]

IMS_IMS_IMS/Views/WBSAdmin/AddLocationWBS.cshtml
@model IMS_IMS_MODEL.AddLocation

@*<script src="~/Scripts/toastr.min.js"></script>
<link href="~/Content/toastr.css" rel="stylesheet" />*@
<style>

    .glyphicon-user, .glyphicon-map-marker, .glyphicon-lock, .glyphicon-envelope {
        color: white;
    }


    #bgcolorspan {
        background-color: darkturquoise;
    }

    .required::after {
        margin: 2px;
        content: "*";
        color: red;
    }

    #containerdiv {
        height: 550px;
        width: 800px;
    }

    #MyForm {
        text-align: center;
    }

    .textAlign {
        text-align: left;
    }
</style>



@using (Ajax.BeginForm("AddLocationWBS", "WBSAdmin", new AjaxOptions
{
    HttpMethod = "POST",
    OnSuccess = "OnSuccess",
    OnFailure = "OnFailure",
    LoadingElementId = "progress",
    OnComplete = "OnComplete"
}, new { id = "MyFormCreateAdminWBS" }))

{

@*<form id="myForm">*@
@Html.AntiForgeryToken()

<div class="container-fluid">

    @Html.ValidationSummary(true, "", new { @class = "text-danger" })

    <div class="form-group">
        @Html.LabelFor(model => model.LocationName, "Location", htmlAttributes: new { @class = "control-label col-md-3 required" })
        <div class="col-md-7">
            @Html.EditorFor(model => model.LocationName, new { htmlAttributes = new { @class = "form-control ", @placeholder = "Location Name", @id = "txtLocationName", autocomplete = "off" } })
            @Html.ValidationMessageFor(model => model.LocationName, "", new { @class = "text-danger" })
        </div>
    </div>
    <br /><br />
    
    <div class="form-group">

        <div class="col-md-offset-2 col-md-10">
            <input type="submit" value="Add Location" id="AddLocationName" name="AddLocationName" class="btn-block btn btn-primary" />

        </div>

    </div>
</div>
}


@section Scripts {
    @Scripts.Render("~/bundles/jqueryval")
}

<script>

    function OnSuccess(res) {

        console.log(res);
        if (res == "Location Added Successfully") {

             toastr.success(res.result, "Message", { timeOut: 5000 });
        }

    }

    //function OnSuccess(result) {

    //    console.log(result);
    //    if (result.result == "Location Added Successfully") {

    //        toastr.success(result.result, "Message", { timeOut: 5000 });
    //        document.getElementById("MyFormCreateAdminWBS").reset();
    //    }
      
    //    else if (result.result == "Something Went wrong")
    //    {
    //        toastr.error(result.result, "Error Message", { timeOut: 5000 });
    //    }
    //    else {

    //        toastr.error("Error Occured", "Error Message", { timeOut: 5000 });
    //    }


    //}


    //function OnFailure() {

    //    toastr.error("Error Occured", "Error Message");


    //}

    //function OnComplete() {

       // document.getElementById("MyFormCreateUserWBS").reset();

    //}



</script>

IMS_IMS_IMS/Views/WBSAdmin/CreateUser.cshtml
@model IMS_IMS_MODEL.CreateUserModel

<script src="~/Scripts/toastr.min.js"></script>
<link href="~/Content/toastr.css" rel="stylesheet" />
<style>

    .glyphicon-user, .glyphicon-map-marker, .glyphicon-lock, .glyphicon-envelope {
        color: white;
    }


    #bgcolorspan {
        background-color: darkturquoise;
    }

    .required::after {
        margin: 2px;
        content: "*";
        color: red;
    }

    #containerdiv {
        height: 550px;
        width: 800px;
    }

    #MyForm {
        text-align: center;
    }

    .textAlign {
        text-align: left;
    }
</style>



@using (Ajax.BeginForm("CreateUser", "WBSAdmin", new AjaxOptions
{
    HttpMethod = "POST",
    OnSuccess = "OnSuccess",
    OnFailure = "OnFailure",
    LoadingElementId = "progress",
    OnComplete = "OnComplete"
}, new { id = "MyFormCreateUserWBS" }))

{

    @*<form id="myForm">*@
    @Html.AntiForgeryToken()

    <div class="container-fluid">

        @Html.ValidationSummary(true, "", new { @class = "text-danger" })

        @*<div style="display:none">
                @Html.EditorFor(model => model.UserId, new { htmlAttributes = new { @class = "form-control", @id = "txthdnUserId", } })
            </div>*@


        <div class="form-group">
            @Html.LabelFor(model => model.UserName, "UserName", htmlAttributes: new { @class = "control-label col-md-3" })
            <div class="col-md-7">
                @Html.EditorFor(model => model.UserName, new { htmlAttributes = new { @class = "form-control", @id = "txtUsername",@placeholder="User Name", autocomplete = "off" } })
                @Html.ValidationMessageFor(model => model.UserName, "", new { @class = "text-danger" })
            </div>
        </div>
        <br /><br />
        <div class="form-group">
            @Html.LabelFor(model => model.Email, "Email", htmlAttributes: new { @class = "control-label col-md-3" })
            <div class="col-md-7">
                @Html.EditorFor(model => model.Email, new { htmlAttributes = new { @class = "form-control", @id = "txtemail",@placeholder="Email Address" } })
                @Html.ValidationMessageFor(model => model.Email, "", new { @class = "text-danger" })
            </div>
        </div>
        <br /><br />
        <div class="form-group">
            @Html.LabelFor(model => model.Password, "Password", htmlAttributes: new { @class = "control-label col-md-3" })
            <div class="col-md-7">
                @Html.EditorFor(model => model.Password, new { htmlAttributes = new { @class = "form-control", @id = "txtPass",@placeholder="Password" } })
                <span toggle="#password-field" class="fa fa-fw fa-eye field-icon toggle-password"></span>
                @Html.ValidationMessageFor(model => model.Password, "", new { @class = "text-danger" })
            </div>
        </div>
        <br /><br />
        <div class="form-group">
            @Html.LabelFor(model => model.RetypePassword, "Confirm Password", htmlAttributes: new { @class = "control-label col-md-3" })
            <div class="col-md-7">
                @Html.EditorFor(model => model.RetypePassword, new { htmlAttributes = new { @class = "form-control", @id = "txtConfirmPass",@placeholder="Confirm Password" } })
                <span toggle="#password-field" class="fa fa-fw fa-eye field-icon toggle-Conpassword"></span>
                @Html.ValidationMessageFor(model => model.RetypePassword, "", new { @class = "text-danger" })
            </div>
        </div>
        <br /><br />
        <div class="form-group">
            @Html.LabelFor(model => model.Location, "Location", htmlAttributes: new { @class = "control-label col-md-3" })
            <div class="col-md-7">
                @Html.DropDownListFor(model => model.Location, new SelectList(ViewBag.LocationList, "Value", "Text"), "---Select Location ---", new { @class = "form-control", @id = "LocationCreateUser1" })
                @*@Html.EditorFor(model => model.Location, new { htmlAttributes = new { @class = "form-control", @id = "txtLocation" } })*@
                @Html.ValidationMessageFor(model => model.Location, "", new { @class = "text-danger" })
            </div>
        </div>
        <br /><br />
        <div class="form-group">
            @Html.LabelFor(model => model.Role, "Role", htmlAttributes: new { @class = "control-label col-md-3" })
            <div class="col-md-7">
                @Html.DropDownListFor(model => model.Role, Enumerable.Empty<SelectListItem>(), "--Select Role--", new { @class = "form-control", @id = "roleCreateUserWBS" })
                @*@Html.EditorFor(model => model.Role, new { htmlAttributes = new { @class = "form-control", @id = "txtRole" } })*@
                @Html.ValidationMessageFor(model => model.Role, "", new { @class = "text-danger" })
            </div>
        </div>
        <br /><br />
        <div class="form-group">

            <div class="col-md-offset-2 col-md-10">
                <input type="submit" value="Create User" id="CreateUserWBS" name="CreateUserWBS" class="btn-block btn btn-primary" />

            </div>

        </div>
    </div>
}


@section Scripts {
    @Scripts.Render("~/bundles/jqueryval")
}

<script>

    $("#container").width('650px').height('600px');

    function OnSuccess(result) {

        console.log(result);
        if (result.result == "Registration Successful") {

            toastr.success(result.result, "Message");
            document.getElementById("MyFormCreateUserWBS").reset();
        }
       else if (result.result == "Internet Connection not Available") {

            toastr.warning(result.result, "Warning Message",{ timeOut: 10000 });
            document.getElementById("MyFormCreateUserWBS").reset();
        }

        else {

            toastr.error(result.result, "Error Occured", { timeOut: 10000 });
        }


    }


    function OnFailure() {

        toastr.error("Error Occured", "Error Message");


    }

    function OnComplete() {

        // document.getElementById("MyFormCreateUserWBS").reset();

    }



</script>


<script>


    $.getJSON("/WBSAdmin/DDLroleType", function (data) {
        $.each(data, function (i, data) {      // bind the dropdown list using json result
            $('<option>',
                {
                    value: data.RoleType,
                    text: data.RoleType
                }).html(data.RoleType).appendTo("#roleCreateUserWBS");
        });
    });

</script>



@*<script>
    $("#container").width('800px').height('600px');
    $(document).ready(function () {

        $("#btnSubmit").click(function (e) {
          // e.preventDefault();
    //var serializedForm = $(this).serialize();
            $("#loaderDiv").show();

           //  var data = $("#myForm").serialize();
            var dataObject = {

                UserName: $("#UserName").val(),
                EmailAddress: $("#EmailAddress").val(),
                Password: $("#Password").val(),
                ConfirmPassword: $("#ConfirmPassword").val(),

            }
            console.log(dataObject);
            $.ajax({

                type: "POST",
                url: "/Account/AdminRegistration",
               // dataType: "json",
               // contentType: "application/json; charset=utf-8",
                data: JSON.stringify(dataObject),
                success: function (response) {
                    console.log(response)
                }


            });

        });


    });*@

IMS_IMS_IMS/Views/WBSAdmin/ShowBuildingdetails.cshtml
@*@{

    Layout = "~/Views/Shared/_LayoutAdminLteWater.cshtml";
    
}*@

    <div class=" col-md-6 offset-md-4">
        @Html.ActionLink(" Download XLSX File", "ExportSpeardSheetBuilding", "WBSAdmin", null, new { @style = "text-transform:capitalize;", @class = "btn btn-success btn-lg  fa fa-file-excel-o large pull-right" })
        <h6 id="ItemName" style="color:Highlight;font-weight:900"><span style="color:Highlight;font-weight:900">ITEM NAME :</span> @ViewBag.BuildingDetails</h6>
    </div>
<div class="container-fluid" style="background-color:lightgrey">
    <table class="table table-bordered table-hover table-responsive table-striped" id="MyDataTableBuilding" style="width:100%; text-align:center;border:1px solid">
        <thead>
            <tr style="text-align:center">
                <th style="text-align:center">Item Serial</th>
                <th style="text-align:center">Location</th>
                <th style="text-align:center">Item Name</th>
                <th style="text-align:center">Building Name</th>
                <th style="text-align:center">Length</th>
                <th style="text-align:center">Width</th>
                <th style="text-align:center">Covered Area</th>
                <th style="text-align:center">Quantity</th>

                <th style="text-align:center">Description</th>
                <th style="text-align:center">UserName</th>
                <th style="text-align:center">Action</th>
                <th style="text-align:center">Action</th>


            </tr>
        </thead>
        <tbody></tbody>


    </table>
    <div style="text-align:center;display:none" id="loaderDiv">
        <img src="~/Content/images/circle-3.gif" width="70" />
    </div>
</div>

<script>

    $(document).ready(function () {


        $("#loaderDiv").show();
        ShowAssetDetailsBuilding();
         $("#MyDataTableBuilding").DataTable().clear();
        $("#MyDataTableBuilding").DataTable().destroy();

    });
    var responseData = '';
    var ShowAssetDetailsBuilding = function () {
        var location = "BASAI";

       // var location = window.localStorage.getItem('LocationStorage');
        var Loct = { location: location }
        var data = JSON.stringify(Loct);
        $.ajax({

            type: "POST",
            url: "/WBSAdmin/ShowBuildingDetails",
            contentType: 'application/json; charset=utf-8',
            dataType: "json",
            data: data,
            success: function (response) {

                response = JSON.parse(BindDataTableBuilding(response));

                $("#MyDataTableBuilding").append(response)

            }
        });
    }

    var BindDataTableBuilding = function (response) {

        $("#MyDataTableBuilding").DataTable({

            "aaData": response,
            "aoColumns": [

                { "mData": "ItemCode" },
                { "mData": "Location" },
                { "mData": "ItemName" },
                { "mData": "BuildingName" },
                { "mData": "Length" },
                { "mData": "Width" },
                { "mData": "CoveredArea" },
                { "mData": "Quantity" },
                { "mData": "Description" },
                 { "mData": "username" },
                {
                    "render": function (data, type, full, meta) {
                        return '<a  class="btn btn-block btn-primary" name="btnEdit" id="btnView" ><i class="fa fa-edit "></i></a>';

                    }
                },
                 {
                    "render": function (data, type, full, meta) {
                        return '<a class="btn btn-block btn-danger delete" name="btnDelete" id="btnDeleteUser" > <i class="fa fa-trash"></i></a>';

                    }
                }


            ]



        });


        $("#loaderDiv").hide();
    }


</script>

IMS_IMS_IMS/Views/WBSAdmin/ShowLandDetails.cshtml
@*@{

    Layout = "~/Views/Shared/_LayoutAdminLteWater.cshtml";
}*@



@*@{
        Layout = "~/Views/Shared/_LayoutUserLteWater.cshtml";

    }*@

<div class=" col-md-6 offset-md-4">
    @Html.ActionLink(" Download XLSX File", "ExportSpeardSheetLand", "WBSAdmin", null, new { @style = "text-transform:capitalize;", @class = "btn btn-success btn-lg  fa fa-file-excel-o large pull-right" })
    <h6 id="ItemName" style="color:Highlight;font-weight:900"><span style="color:Highlight;font-weight:900">ITEM NAME :</span> @ViewBag.LandDetails</h6>
</div>
<div class="container-fluid" style="background-color:lightgrey">
    <table class="table table-bordered table-hover table-responsive table-striped" id="MyDataTableLand" style="width:100%; text-align:center;border:1px solid">
        <thead>
            <tr style="text-align:center">
                <th style="text-align:center">Item Serial</th>
                <th style="text-align:center">Location</th>
                @*<th style="text-align:center">Item Name</th>*@
                <th style="text-align:center">Length</th>
                <th style="text-align:center">Width</th>
                <th style="text-align:center">Area</th>
                <th style="text-align:center">Quantity</th>
                <th style="text-align:center">Description</th>
                <th style="text-align:center">UserName</th>
                <th style="text-align:center">Action</th>
                <th style="text-align:center">Action</th>


            </tr>
        </thead>
        <tbody></tbody>


    </table>
    <div style="text-align:center;display:none" id="loaderDiv">
        <img src="~/Content/images/circle-3.gif" width="70" />
    </div>
</div>

<script>

    $(document).ready(function () {


        $("#loaderDiv").show();
        ShowLandDetails();
        $("#MyDataTableLand").DataTable().clear();
        $("#MyDataTableLand").DataTable().destroy();

    });
    var responseData = '';
    var ShowLandDetails = function () {
        var location = "BASAI";
        // var location = window.localStorage.getItem('LocationStorage');
         var Loct = { location: location }
         var data = JSON.stringify(Loct);
        $.ajax({

            type: "POST",
            url: "/WBSAdmin/ShowLandDetail",
            contentType: 'application/json; charset=utf-8',
            dataType: "json",
            data: data,
            success: function (response) {

                response = JSON.parse(BindDataTableLand(response));

                $("#MyDataTableLand").append(response)

            }
        });
    }

    var BindDataTableLand = function (response) {

        $("#MyDataTableLand").DataTable({

            "aaData": response,
            "aoColumns": [

                { "mData": "ItemCode" },
                { "mData": "Location" },
                //{ "mData": "ItemName" },
                { "mData": "Length" },
                { "mData": "Width" },
                { "mData": "Area" },
                { "mData": "Quantity" },
                { "mData": "Description" },
                 { "mData": "username" },
                 {
                    "render": function (data, type, full, meta) {
                        return '<a  class="btn btn-block btn-primary" name="btnEdit" id="btnView" ><i class="fa fa-edit "></i></a>';

                    }
                },
                 {
                    "render": function (data, type, full, meta) {
                        return '<a class="btn btn-block btn-danger delete" name="btnDelete" id="btnDeleteUser" > <i class="fa fa-trash"></i></a>';

                    }
                }


            ]



        });


        $("#loaderDiv").hide();
    }


</script>

IMS_IMS_IMS/Views/WBSAdmin/WTPShowDetails.cshtml
@*@{

    Layout = "~/Views/Shared/_LayoutAdminLteWater.cshtml";

}*@

<div class=" col-md-6 offset-md-4">
    @Html.ActionLink(" Download XLSX File", "ExportSpeardSheetWTP", "WBSAdmin", null, new { @style = "text-transform:capitalize;", @class = "btn btn-success btn-lg  fa fa-file-excel-o large pull-right" })
    <h6 id="ItemName" style="color:Highlight;font-weight:900"><span style="color:Highlight;font-weight:900">ITEM NAME :</span> @ViewBag.WTPDetails</h6>
</div>

<div class="container-fluid" style="background-color:lightgrey">
    <table class="table table-bordered table-hover table-responsive table-striped" id="MyDataTableWTP" style="width:100%; text-align:center;border:1px solid">
        <thead>
            <tr style="text-align:center">
                <th style="text-align:center">Item Serial</th>
                <th style="text-align:center">Location</th>
                @*<th style="text-align:center">Item Name</th>*@
                <th style="text-align:center">Diameter</th>
                <th style="text-align:center">Capacity</th>
                <th style="text-align:center">Quantity</th>
                <th style="text-align:center">Description</th>
                <th style="text-align:center">User Name</th>
                <th style="text-align:center">Action</th>
                <th style="text-align:center">Action</th>


            </tr>
        </thead>
        <tbody></tbody>


    </table>
    <div style="text-align:center;display:none" id="loaderDiv">
        <img src="~/Content/images/circle-3.gif" width="70" />
    </div>
</div>

<script>

    $(document).ready(function () {


        $("#loaderDiv").show();
        ShowAssetDetailsWTP();
         $("#MyDataTableWTP").DataTable().clear();
        $("#MyDataTableWTP").DataTable().destroy();

    });
    var responseData = '';
    var ShowAssetDetailsWTP = function () {
       // var location = window.localStorage.getItem('LocationStorage');
         var location = "BASAI";
        var Loct = { location: location }
        var data = JSON.stringify(Loct);
        $.ajax({

            type: "POST",
            url: "/WBSAdmin/ShowWTP_Details",
            contentType: 'application/json; charset=utf-8',
            dataType: "json",
            data: data,
            success: function (response) {

                response = JSON.parse(BindDataTableWTP(response));

                $("#MyDataTableWTP").append(response)

            }
        });
    }

    var BindDataTableWTP = function (response) {

        $("#MyDataTableWTP").DataTable({

            "aaData": response,
            "aoColumns": [

                { "mData": "ItemCode" },
                { "mData": "Location" },
                //{ "mData": "ItemName" },
                { "mData": "Diameter" },
                { "mData": "Capacity" },
                { "mData": "Quantity" },
                { "mData": "Description" },
                 { "mData": "username" },
                 {
                    "render": function (data, type, full, meta) {
                        return '<a  class="btn btn-block btn-primary" name="btnEdit" id="btnView" ><i class="fa fa-edit "></i></a>';

                    }
                },
                 {
                    "render": function (data, type, full, meta) {
                        return '<a class="btn btn-block btn-danger delete" name="btnDelete" id="btnDeleteUser" > <i class="fa fa-trash"></i></a>';

                    }
                }


            ]



        });


        $("#loaderDiv").hide();
    }


</script>